--THis script needs to be executed on the secondary replica. In my case, it is SQLAG2

--Steps 3 to 6 

USE master  
Go
CREATE MASTER KEY ENCRYPTION BY PASSWORD = 'P@ssw0rd123';  
GO
USE master  
Go
CREATE CERTIFICATE SQLAG2_Certificate_private
WITH SUBJECT = 'Certificate for the Domainless_SQL_AG SQL Availability Group' 
GO

BACKUP CERTIFICATE SQLAG2_Certificate_private
TO FILE = 'c:\temp\SQLAG2_Certificate_private.cert'
GO
CREATE ENDPOINT SQLAG_Endpoint
STATE = STARTED
AS TCP
(
	LISTENER_PORT = 5022
)
FOR DATABASE_MIRRORING
(
	AUTHENTICATION = CERTIFICATE SQLAG2_Certificate_private,
	ROLE = ALL, 
	ENCRYPTION = REQUIRED ALGORITHM AES
)

--Steps 8 to 10

CREATE LOGIN SQLAG1Login WITH PASSWORD = 'P@ssw0rd123!'
GO
 
CREATE USER SQLAG1User FOR LOGIN SQLAG1Login
GO

Create CERTIFICATE SQLAG2_public_cert
AUTHORIZATION SQLAG1User
FROM FILE = 'C:\Temp\SQLAG1 Certificate\SQLAG1_Certificate_private.cert'
GO
 
GRANT CONNECT ON ENDPOINT::[SQLAG_Endpoint] TO SQLAG1login
GO


